AOZ Studio Beta - Bug #496

When using Add to increment an Integer variable, if the amount you're adding comes from a float

NaN is the result.
09/16/2020 09:34 AM - Brian Flanagan

Status: Closed Start date: 09/16/2020
Priority: Normal Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 2:00 hours
Target version: Beta RC2

Affected version: Beta RC2

Description

LEVEL = 50

V# = 10

Add LEVEL, V#
Print LEVEL

The result printed is:
NaN

The work-around (and best practice) is to use Int on a floating point operand that will modify an integer variable.

History

#1 - 09/16/2020 12:48 PM - Brian Flanagan
- Status changed from In Progress to Resolved

- Target version set to Beta RC2

It's fixed.

#2 - 09/16/2020 01:55 PM - Brian Flanagan
- Estimated time set to 2:00 h

#3 - 04/11/2021 02:51 PM - Brian Flanagan

- Status changed from Resolved to Closed

Resolved in Beta RC2.
Works in the current Version as well. (1.0.0 (B7))
